Get postings by status
GET /postings
GET
/postings
Returns a paginated list of postings for the authenticated office filtered by status. Supports status, page, and pageSize query parameters (e.g., ?status=suspended&page=1&pageSize=50). If status is omitted, returns all postings regardless of status.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” status
string
Posting status filter (draft, active, suspended, closed). Omit to retrieve all postings.
page
integer
Page number (default: 1, minimum: 1)
pageSize
integer
Number of postings per page (default: 10, max: 100)
Responses
Section titled “ Responses ”OK
object
data
Array<object>
Posting response
object
benefits
Array<string>
[ "Health Insurance", "401k", "Dental Coverage"] benefitsOther
string
Free parking candidateCount
integer
5 closedAt
string
2024-01-15T10:00:00Z closedBy
string
68c3c1986b3cfee9ef3d50c2 createdAt
string
2024-01-15T10:00:00Z createdBy
string
68c3c1986b3cfee9ef3d50c2 description
string
We are looking for an experienced dental assistant... dsoCode
string
DSO001 expectedDays
Array<integer>
[ 1, 2, 3, 4, 5] id
string
550e8400-e29b-41d4-a716-446655440001 officeId
string
68c3c1986b3cfee9ef3d50c2 officeName
string
Office Name officePlanId
string
office_plan_456 officeSelected
boolean
officeState
string
CA planId
string
plan_123 planName
string
Premium Plan professionType
string
DA publishedAt
string
2024-01-15T10:00:00Z salaryRange
Posting salary range response
object
max
integer
55 min
integer
45 payType
string
Hourly yearly
integer
81900 scheduleType
string
Full Time specialty
string
General Dentistry status
string
active subProfession
string
EFDA suspendedAt
string
2024-01-15T10:00:00Z title
string
Dental Assistant needed ASAP updatedAt
string
2024-01-15T10:00:00Z updatedBy
string
68c3c1986b3cfee9ef3d50c2 page
integer
pageSize
integer
total
integer
Bad Request
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456Unauthorized
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456Forbidden
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456Internal Server Error
object
error
string
some meaningful error message errorCode
string
some error code, if applicable requestId
string
abc123-def456